/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoContextMenuDelayComponent extends NestedOption implements OnDestroy, OnInit {
    get hide(): number;
    set hide(value: number);
    get show(): number;
    set show(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoContextMenuDelayComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoContextMenuDelayComponent, "dxo-context-menu-delay", never, { "hide": { "alias": "hide"; "required": false; }; "show": { "alias": "show"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoContextMenuDelayModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoContextMenuDelayModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoContextMenuDelayModule, [typeof DxoContextMenuDelayComponent], never, [typeof DxoContextMenuDelayComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoContextMenuDelayModule>;
}
