/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { Mode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataGridGroupPanelComponent extends NestedOption implements OnDestroy, OnInit {
    get allowColumnDragging(): boolean;
    set allowColumnDragging(value: boolean);
    get emptyPanelText(): string;
    set emptyPanelText(value: string);
    get visible(): boolean | Mode;
    set visible(value: boolean | Mode);
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    visibleChange: EventEmitter<boolean | Mode>;
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridGroupPanelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridGroupPanelComponent, "dxo-data-grid-group-panel", never, { "allowColumnDragging": { "alias": "allowColumnDragging"; "required": false; }; "emptyPanelText": { "alias": "emptyPanelText"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, { "visibleChange": "visibleChange"; }, never, never, false, never>;
}
export declare class DxoDataGridGroupPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridGroupPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataGridGroupPanelModule, [typeof DxoDataGridGroupPanelComponent], never, [typeof DxoDataGridGroupPanelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataGridGroupPanelModule>;
}
