/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Mode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataGridLoadPanelComponent extends NestedOption implements OnDestroy, OnInit {
    get enabled(): boolean | Mode;
    set enabled(value: boolean | Mode);
    get height(): number | string;
    set height(value: number | string);
    get indicatorSrc(): string;
    set indicatorSrc(value: string);
    get shading(): boolean;
    set shading(value: boolean);
    get shadingColor(): string;
    set shadingColor(value: string);
    get showIndicator(): boolean;
    set showIndicator(value: boolean);
    get showPane(): boolean;
    set showPane(value: boolean);
    get text(): string;
    set text(value: string);
    get width(): number | string;
    set width(value: number | string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridLoadPanelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridLoadPanelComponent, "dxo-data-grid-load-panel", never, { "enabled": { "alias": "enabled"; "required": false; }; "height": { "alias": "height"; "required": false; }; "indicatorSrc": { "alias": "indicatorSrc"; "required": false; }; "shading": { "alias": "shading"; "required": false; }; "shadingColor": { "alias": "shadingColor"; "required": false; }; "showIndicator": { "alias": "showIndicator"; "required": false; }; "showPane": { "alias": "showPane"; "required": false; }; "text": { "alias": "text"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDataGridLoadPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridLoadPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataGridLoadPanelModule, [typeof DxoDataGridLoadPanelComponent], never, [typeof DxoDataGridLoadPanelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataGridLoadPanelModule>;
}
