/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataGridSummaryTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get avg(): string;
    set avg(value: string);
    get avgOtherColumn(): string;
    set avgOtherColumn(value: string);
    get count(): string;
    set count(value: string);
    get max(): string;
    set max(value: string);
    get maxOtherColumn(): string;
    set maxOtherColumn(value: string);
    get min(): string;
    set min(value: string);
    get minOtherColumn(): string;
    set minOtherColumn(value: string);
    get sum(): string;
    set sum(value: string);
    get sumOtherColumn(): string;
    set sumOtherColumn(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridSummaryTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridSummaryTextsComponent, "dxo-data-grid-summary-texts", never, { "avg": { "alias": "avg"; "required": false; }; "avgOtherColumn": { "alias": "avgOtherColumn"; "required": false; }; "count": { "alias": "count"; "required": false; }; "max": { "alias": "max"; "required": false; }; "maxOtherColumn": { "alias": "maxOtherColumn"; "required": false; }; "min": { "alias": "min"; "required": false; }; "minOtherColumn": { "alias": "minOtherColumn"; "required": false; }; "sum": { "alias": "sum"; "required": false; }; "sumOtherColumn": { "alias": "sumOtherColumn"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDataGridSummaryTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridSummaryTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataGridSummaryTextsModule, [typeof DxoDataGridSummaryTextsComponent], never, [typeof DxoDataGridSummaryTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataGridSummaryTextsModule>;
}
