/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { QueryList } from '@angular/core';
import { Command, CustomCommand } from 'devextreme/ui/diagram';
import { NestedOptionHost } from 'devextreme-angular/core';
import { CollectionNestedOption } from 'devextreme-angular/core';
import { DxiDiagramCommandComponent } from './command-dxi';
import * as i0 from "@angular/core";
export declare class DxiDiagramTabGroupComponent extends CollectionNestedOption {
    get commands(): Array<Command | CustomCommand>;
    set commands(value: Array<Command | CustomCommand>);
    get title(): string;
    set title(value: string);
    protected get _optionPath(): string;
    get commandsChildren(): QueryList<DxiDiagramCommandComponent>;
    set commandsChildren(value: QueryList<DxiDiagramCommandComponent>);
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiDiagramTabGroupComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiDiagramTabGroupComponent, "dxi-diagram-tab-group", never, { "commands": { "alias": "commands"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, ["commandsChildren"], never, false, never>;
}
export declare class DxiDiagramTabGroupModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiDiagramTabGroupModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxiDiagramTabGroupModule, [typeof DxiDiagramTabGroupComponent], never, [typeof DxiDiagramTabGroupComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxiDiagramTabGroupModule>;
}
