/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { CollisionResolution } from 'devextreme/common/core/animation';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDropDownButtonCollisionComponent extends NestedOption implements OnDestroy, OnInit {
    get x(): CollisionResolution;
    set x(value: CollisionResolution);
    get y(): CollisionResolution;
    set y(value: CollisionResolution);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDropDownButtonCollisionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDropDownButtonCollisionComponent, "dxo-drop-down-button-collision", never, { "x": { "alias": "x"; "required": false; }; "y": { "alias": "y"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDropDownButtonCollisionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDropDownButtonCollisionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDropDownButtonCollisionModule, [typeof DxoDropDownButtonCollisionComponent], never, [typeof DxoDropDownButtonCollisionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDropDownButtonCollisionModule>;
}
