/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, QueryList } from '@angular/core';
import { dxFileManagerDetailsColumn } from 'devextreme/ui/file_manager';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import { DxiFileManagerColumnComponent } from './column-dxi';
import * as i0 from "@angular/core";
export declare class DxoFileManagerDetailsComponent extends NestedOption implements OnDestroy, OnInit {
    get columns(): Array<dxFileManagerDetailsColumn | string>;
    set columns(value: Array<dxFileManagerDetailsColumn | string>);
    protected get _optionPath(): string;
    get columnsChildren(): QueryList<DxiFileManagerColumnComponent>;
    set columnsChildren(value: QueryList<DxiFileManagerColumnComponent>);
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerDetailsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFileManagerDetailsComponent, "dxo-file-manager-details", never, { "columns": { "alias": "columns"; "required": false; }; }, {}, ["columnsChildren"], never, false, never>;
}
export declare class DxoFileManagerDetailsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerDetailsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFileManagerDetailsModule, [typeof DxoFileManagerDetailsComponent], never, [typeof DxoFileManagerDetailsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFileManagerDetailsModule>;
}
