/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoFileManagerUploadComponent extends NestedOption implements OnDestroy, OnInit {
    get chunkSize(): number;
    set chunkSize(value: number);
    get maxFileSize(): number;
    set maxFileSize(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerUploadComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFileManagerUploadComponent, "dxo-file-manager-upload", never, { "chunkSize": { "alias": "chunkSize"; "required": false; }; "maxFileSize": { "alias": "maxFileSize"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoFileManagerUploadModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerUploadModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFileManagerUploadModule, [typeof DxoFileManagerUploadComponent], never, [typeof DxoFileManagerUploadComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFileManagerUploadModule>;
}
