/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { DashStyle } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoFunnelBorderComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string | undefined;
    set color(value: string | undefined);
    get visible(): boolean | undefined;
    set visible(value: boolean | undefined);
    get width(): number | undefined;
    set width(value: number | undefined);
    get dashStyle(): DashStyle;
    set dashStyle(value: DashStyle);
    get cornerRadius(): number;
    set cornerRadius(value: number);
    get opacity(): number | undefined;
    set opacity(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFunnelBorderComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFunnelBorderComponent, "dxo-funnel-border", never, { "color": { "alias": "color"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "width": { "alias": "width"; "required": false; }; "dashStyle": { "alias": "dashStyle"; "required": false; }; "cornerRadius": { "alias": "cornerRadius"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoFunnelBorderModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFunnelBorderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFunnelBorderModule, [typeof DxoFunnelBorderComponent], never, [typeof DxoFunnelBorderComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFunnelBorderModule>;
}
