/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import DataSource from 'devextreme/data/data_source';
import { DataSourceOptions } from 'devextreme/data/data_source';
import { Store } from 'devextreme/data/store';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGanttDependenciesComponent extends NestedOption implements OnDestroy, OnInit {
    get dataSource(): Array<any> | DataSource | DataSourceOptions | null | Store | string;
    set dataSource(value: Array<any> | DataSource | DataSourceOptions | null | Store | string);
    get keyExpr(): Function | string;
    set keyExpr(value: Function | string);
    get predecessorIdExpr(): Function | string;
    set predecessorIdExpr(value: Function | string);
    get successorIdExpr(): Function | string;
    set successorIdExpr(value: Function | string);
    get typeExpr(): Function | string;
    set typeExpr(value: Function | string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttDependenciesComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttDependenciesComponent, "dxo-gantt-dependencies", never, { "dataSource": { "alias": "dataSource"; "required": false; }; "keyExpr": { "alias": "keyExpr"; "required": false; }; "predecessorIdExpr": { "alias": "predecessorIdExpr"; "required": false; }; "successorIdExpr": { "alias": "successorIdExpr"; "required": false; }; "typeExpr": { "alias": "typeExpr"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoGanttDependenciesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttDependenciesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGanttDependenciesModule, [typeof DxoGanttDependenciesComponent], never, [typeof DxoGanttDependenciesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGanttDependenciesModule>;
}
