/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGanttEditingComponent extends NestedOption implements OnDestroy, OnInit {
    get allowDependencyAdding(): boolean;
    set allowDependencyAdding(value: boolean);
    get allowDependencyDeleting(): boolean;
    set allowDependencyDeleting(value: boolean);
    get allowResourceAdding(): boolean;
    set allowResourceAdding(value: boolean);
    get allowResourceDeleting(): boolean;
    set allowResourceDeleting(value: boolean);
    get allowResourceUpdating(): boolean;
    set allowResourceUpdating(value: boolean);
    get allowTaskAdding(): boolean;
    set allowTaskAdding(value: boolean);
    get allowTaskDeleting(): boolean;
    set allowTaskDeleting(value: boolean);
    get allowTaskResourceUpdating(): boolean;
    set allowTaskResourceUpdating(value: boolean);
    get allowTaskUpdating(): boolean;
    set allowTaskUpdating(value: boolean);
    get enabled(): boolean;
    set enabled(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttEditingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttEditingComponent, "dxo-gantt-editing", never, { "allowDependencyAdding": { "alias": "allowDependencyAdding"; "required": false; }; "allowDependencyDeleting": { "alias": "allowDependencyDeleting"; "required": false; }; "allowResourceAdding": { "alias": "allowResourceAdding"; "required": false; }; "allowResourceDeleting": { "alias": "allowResourceDeleting"; "required": false; }; "allowResourceUpdating": { "alias": "allowResourceUpdating"; "required": false; }; "allowTaskAdding": { "alias": "allowTaskAdding"; "required": false; }; "allowTaskDeleting": { "alias": "allowTaskDeleting"; "required": false; }; "allowTaskResourceUpdating": { "alias": "allowTaskResourceUpdating"; "required": false; }; "allowTaskUpdating": { "alias": "allowTaskUpdating"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoGanttEditingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttEditingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGanttEditingModule, [typeof DxoGanttEditingComponent], never, [typeof DxoGanttEditingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGanttEditingModule>;
}
