/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { SearchMode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGanttGanttHeaderFilterSearchComponent extends NestedOption implements OnDestroy, OnInit {
    get editorOptions(): any;
    set editorOptions(value: any);
    get enabled(): boolean;
    set enabled(value: boolean);
    get mode(): SearchMode;
    set mode(value: SearchMode);
    get timeout(): number;
    set timeout(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttGanttHeaderFilterSearchComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttGanttHeaderFilterSearchComponent, "dxo-gantt-gantt-header-filter-search", never, { "editorOptions": { "alias": "editorOptions"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "timeout": { "alias": "timeout"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoGanttGanttHeaderFilterSearchModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttGanttHeaderFilterSearchModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGanttGanttHeaderFilterSearchModule, [typeof DxoGanttGanttHeaderFilterSearchComponent], never, [typeof DxoGanttGanttHeaderFilterSearchComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGanttGanttHeaderFilterSearchModule>;
}
