/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoHtmlEditorMediaResizingComponent extends NestedOption implements OnDestroy, OnInit {
    get allowedTargets(): Array<string>;
    set allowedTargets(value: Array<string>);
    get enabled(): boolean;
    set enabled(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorMediaResizingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHtmlEditorMediaResizingComponent, "dxo-html-editor-media-resizing", never, { "allowedTargets": { "alias": "allowedTargets"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoHtmlEditorMediaResizingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorMediaResizingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoHtmlEditorMediaResizingModule, [typeof DxoHtmlEditorMediaResizingComponent], never, [typeof DxoHtmlEditorMediaResizingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoHtmlEditorMediaResizingModule>;
}
