/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoLinearGaugeWidthComponent extends NestedOption implements OnDestroy, OnInit {
    get end(): number;
    set end(value: number);
    get start(): number;
    set start(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLinearGaugeWidthComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoLinearGaugeWidthComponent, "dxo-linear-gauge-width", never, { "end": { "alias": "end"; "required": false; }; "start": { "alias": "start"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoLinearGaugeWidthModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLinearGaugeWidthModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoLinearGaugeWidthModule, [typeof DxoLinearGaugeWidthComponent], never, [typeof DxoLinearGaugeWidthComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoLinearGaugeWidthModule>;
}
