/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { SelectAllMode, SingleMultipleOrNone } from 'devextreme/common';
import { SelectionColumnDisplayMode } from 'devextreme/common/grids';
import { SelectionSensitivity } from 'devextreme/ui/data_grid';
import * as i0 from "@angular/core";
export declare abstract class DxoColumnChooserSelectionConfig extends NestedOption {
    get allowSelectAll(): boolean;
    set allowSelectAll(value: boolean);
    get recursive(): boolean;
    set recursive(value: boolean);
    get selectByClick(): boolean;
    set selectByClick(value: boolean);
    get deferred(): boolean;
    set deferred(value: boolean);
    get mode(): SingleMultipleOrNone;
    set mode(value: SingleMultipleOrNone);
    get selectAllMode(): SelectAllMode;
    set selectAllMode(value: SelectAllMode);
    get sensitivity(): SelectionSensitivity;
    set sensitivity(value: SelectionSensitivity);
    get showCheckBoxesMode(): SelectionColumnDisplayMode;
    set showCheckBoxesMode(value: SelectionColumnDisplayMode);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoColumnChooserSelectionConfig, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoColumnChooserSelectionConfig, "ng-component", never, {}, {}, never, never, false, never>;
}
