/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { DisplayMode, Mode } from 'devextreme/common';
import { PagerPageSize } from 'devextreme/common/grids';
import * as i0 from "@angular/core";
export declare abstract class DxoPager extends NestedOption {
    get allowedPageSizes(): Mode | Array<PagerPageSize | number>;
    set allowedPageSizes(value: Mode | Array<PagerPageSize | number>);
    get displayMode(): DisplayMode;
    set displayMode(value: DisplayMode);
    get infoText(): string;
    set infoText(value: string);
    get label(): string;
    set label(value: string);
    get showInfo(): boolean;
    set showInfo(value: boolean);
    get showNavigationButtons(): boolean;
    set showNavigationButtons(value: boolean);
    get showPageSizeSelector(): boolean;
    set showPageSizeSelector(value: boolean);
    get visible(): Mode | boolean;
    set visible(value: Mode | boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPager, "ng-component", never, {}, {}, never, never, false, never>;
}
