/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { ScaleBreakLineStyle } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoBreakStyleComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string;
    set color(value: string);
    get line(): ScaleBreakLineStyle;
    set line(value: ScaleBreakLineStyle);
    get width(): number;
    set width(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoBreakStyleComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoBreakStyleComponent, "dxo-break-style", never, { "color": { "alias": "color"; "required": false; }; "line": { "alias": "line"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoBreakStyleModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoBreakStyleModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoBreakStyleModule, [typeof DxoBreakStyleComponent], never, [typeof DxoBreakStyleComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoBreakStyleModule>;
}
