/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, QueryList } from '@angular/core';
import { dxFileManagerDetailsColumn } from 'devextreme/ui/file_manager';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import { DxiColumnComponent } from './column-dxi';
import * as i0 from "@angular/core";
export declare class DxoDetailsComponent extends NestedOption implements OnDestroy, OnInit {
    get columns(): Array<dxFileManagerDetailsColumn | string>;
    set columns(value: Array<dxFileManagerDetailsColumn | string>);
    protected get _optionPath(): string;
    get columnsChildren(): QueryList<DxiColumnComponent>;
    set columnsChildren(value: QueryList<DxiColumnComponent>);
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDetailsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDetailsComponent, "dxo-details", never, { "columns": { "alias": "columns"; "required": false; }; }, {}, ["columnsChildren"], never, false, never>;
}
export declare class DxoDetailsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDetailsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDetailsModule, [typeof DxoDetailsComponent], never, [typeof DxoDetailsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDetailsModule>;
}
