/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoVizFont } from './base/viz-font';
import * as i0 from "@angular/core";
export declare class DxoFontComponent extends DxoVizFont implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFontComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFontComponent, "dxo-font", never, { "color": { "alias": "color"; "required": false; }; "family": { "alias": "family"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "size": { "alias": "size"; "required": false; }; "weight": { "alias": "weight"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoFontModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFontModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFontModule, [typeof DxoFontComponent], never, [typeof DxoFontComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFontModule>;
}
