/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoHtmlEditorMediaResizing } from './base/html-editor-media-resizing';
import * as i0 from "@angular/core";
export declare class DxoMediaResizingComponent extends DxoHtmlEditorMediaResizing implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMediaResizingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoMediaResizingComponent, "dxo-media-resizing", never, { "allowedTargets": { "alias": "allowedTargets"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoMediaResizingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoMediaResizingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoMediaResizingModule, [typeof DxoMediaResizingComponent], never, [typeof DxoMediaResizingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoMediaResizingModule>;
}
