/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGanttSorting } from './base/gantt-sorting';
import * as i0 from "@angular/core";
export declare class DxoSortingComponent extends DxoGanttSorting implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSortingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSortingComponent, "dxo-sorting", never, { "ascendingText": { "alias": "ascendingText"; "required": false; }; "clearText": { "alias": "clearText"; "required": false; }; "descendingText": { "alias": "descendingText"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "showSortIndexes": { "alias": "showSortIndexes"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoSortingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSortingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSortingModule, [typeof DxoSortingComponent], never, [typeof DxoSortingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSortingModule>;
}
