/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGaugeIndicator } from './base/gauge-indicator';
import * as i0 from "@angular/core";
export declare class DxoSubvalueIndicatorComponent extends DxoGaugeIndicator implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSubvalueIndicatorComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSubvalueIndicatorComponent, "dxo-subvalue-indicator", never, { "arrowLength": { "alias": "arrowLength"; "required": false; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; }; "baseValue": { "alias": "baseValue"; "required": false; }; "beginAdaptingAtRadius": { "alias": "beginAdaptingAtRadius"; "required": false; }; "color": { "alias": "color"; "required": false; }; "horizontalOrientation": { "alias": "horizontalOrientation"; "required": false; }; "indentFromCenter": { "alias": "indentFromCenter"; "required": false; }; "length": { "alias": "length"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "palette": { "alias": "palette"; "required": false; }; "secondColor": { "alias": "secondColor"; "required": false; }; "secondFraction": { "alias": "secondFraction"; "required": false; }; "size": { "alias": "size"; "required": false; }; "spindleGapSize": { "alias": "spindleGapSize"; "required": false; }; "spindleSize": { "alias": "spindleSize"; "required": false; }; "text": { "alias": "text"; "required": false; }; "type": { "alias": "type"; "required": false; }; "verticalOrientation": { "alias": "verticalOrientation"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoSubvalueIndicatorModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSubvalueIndicatorModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSubvalueIndicatorModule, [typeof DxoSubvalueIndicatorComponent], never, [typeof DxoSubvalueIndicatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSubvalueIndicatorModule>;
}
