/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPivotGridFieldPanelTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get columnFieldArea(): string;
    set columnFieldArea(value: string);
    get dataFieldArea(): string;
    set dataFieldArea(value: string);
    get filterFieldArea(): string;
    set filterFieldArea(value: string);
    get rowFieldArea(): string;
    set rowFieldArea(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridFieldPanelTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPivotGridFieldPanelTextsComponent, "dxo-pivot-grid-field-panel-texts", never, { "columnFieldArea": { "alias": "columnFieldArea"; "required": false; }; "dataFieldArea": { "alias": "dataFieldArea"; "required": false; }; "filterFieldArea": { "alias": "filterFieldArea"; "required": false; }; "rowFieldArea": { "alias": "rowFieldArea"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPivotGridFieldPanelTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridFieldPanelTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPivotGridFieldPanelTextsModule, [typeof DxoPivotGridFieldPanelTextsComponent], never, [typeof DxoPivotGridFieldPanelTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPivotGridFieldPanelTextsModule>;
}
