/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPivotGridPivotGridTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get collapseAll(): string;
    set collapseAll(value: string);
    get dataNotAvailable(): string;
    set dataNotAvailable(value: string);
    get expandAll(): string;
    set expandAll(value: string);
    get exportToExcel(): string;
    set exportToExcel(value: string);
    get grandTotal(): string;
    set grandTotal(value: string);
    get noData(): string;
    set noData(value: string);
    get removeAllSorting(): string;
    set removeAllSorting(value: string);
    get showFieldChooser(): string;
    set showFieldChooser(value: string);
    get sortColumnBySummary(): string;
    set sortColumnBySummary(value: string);
    get sortRowBySummary(): string;
    set sortRowBySummary(value: string);
    get total(): string;
    set total(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridPivotGridTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPivotGridPivotGridTextsComponent, "dxo-pivot-grid-pivot-grid-texts", never, { "collapseAll": { "alias": "collapseAll"; "required": false; }; "dataNotAvailable": { "alias": "dataNotAvailable"; "required": false; }; "expandAll": { "alias": "expandAll"; "required": false; }; "exportToExcel": { "alias": "exportToExcel"; "required": false; }; "grandTotal": { "alias": "grandTotal"; "required": false; }; "noData": { "alias": "noData"; "required": false; }; "removeAllSorting": { "alias": "removeAllSorting"; "required": false; }; "showFieldChooser": { "alias": "showFieldChooser"; "required": false; }; "sortColumnBySummary": { "alias": "sortColumnBySummary"; "required": false; }; "sortRowBySummary": { "alias": "sortRowBySummary"; "required": false; }; "total": { "alias": "total"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPivotGridPivotGridTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridPivotGridTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPivotGridPivotGridTextsModule, [typeof DxoPivotGridPivotGridTextsComponent], never, [typeof DxoPivotGridPivotGridTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPivotGridPivotGridTextsModule>;
}
