/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { ScrollMode, Mode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPivotGridScrollingComponent extends NestedOption implements OnDestroy, OnInit {
    get mode(): ScrollMode;
    set mode(value: ScrollMode);
    get useNative(): boolean | Mode;
    set useNative(value: boolean | Mode);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridScrollingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPivotGridScrollingComponent, "dxo-pivot-grid-scrolling", never, { "mode": { "alias": "mode"; "required": false; }; "useNative": { "alias": "useNative"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPivotGridScrollingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridScrollingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPivotGridScrollingModule, [typeof DxoPivotGridScrollingComponent], never, [typeof DxoPivotGridScrollingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPivotGridScrollingModule>;
}
