/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Font, LabelOverlap } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPolarChartCommonAxisSettingsLabelComponent extends NestedOption implements OnDestroy, OnInit {
    get font(): Font;
    set font(value: Font);
    get indentFromAxis(): number;
    set indentFromAxis(value: number);
    get overlappingBehavior(): LabelOverlap;
    set overlappingBehavior(value: LabelOverlap);
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartCommonAxisSettingsLabelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPolarChartCommonAxisSettingsLabelComponent, "dxo-polar-chart-common-axis-settings-label", never, { "font": { "alias": "font"; "required": false; }; "indentFromAxis": { "alias": "indentFromAxis"; "required": false; }; "overlappingBehavior": { "alias": "overlappingBehavior"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPolarChartCommonAxisSettingsLabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartCommonAxisSettingsLabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPolarChartCommonAxisSettingsLabelModule, [typeof DxoPolarChartCommonAxisSettingsLabelComponent], never, [typeof DxoPolarChartCommonAxisSettingsLabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPolarChartCommonAxisSettingsLabelModule>;
}
