/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Font } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPolarChartConstantLineStyleLabelComponent extends NestedOption implements OnDestroy, OnInit {
    get font(): Font;
    set font(value: Font);
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartConstantLineStyleLabelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPolarChartConstantLineStyleLabelComponent, "dxo-polar-chart-constant-line-style-label", never, { "font": { "alias": "font"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPolarChartConstantLineStyleLabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartConstantLineStyleLabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPolarChartConstantLineStyleLabelModule, [typeof DxoPolarChartConstantLineStyleLabelComponent], never, [typeof DxoPolarChartConstantLineStyleLabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPolarChartConstantLineStyleLabelModule>;
}
