/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, ComponentRef, ElementRef, NgZone, TransferState, Type, ViewContainerRef } from '@angular/core';
import { DxTemplateHost, IterableDifferHelper, NestedOptionHost, WatcherHelper } from 'devextreme-angular/core';
import { DxPopupComponent, DxPopupTypes } from '../component';
import * as i0 from "@angular/core";
export declare class PopupServiceComponent<T> extends DxPopupComponent implements OnInit {
    private contentComponent;
    private popupOptions;
    contentContainer: ViewContainerRef;
    contentRef: ComponentRef<T>;
    constructor(contentComponent: Type<T>, popupOptions: DxPopupTypes.Properties, elementRef: ElementRef, ngZone: NgZone, templateHost: DxTemplateHost, _watcherHelper: WatcherHelper, _idh: IterableDifferHelper, optionHost: NestedOptionHost, transferState: TransferState, platformId: any);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupServiceComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopupServiceComponent<any>, "ng-component", never, {}, {}, never, never, true, never>;
}
