/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSelectorHeightComponent extends NestedOption implements OnDestroy, OnInit {
    get rangeMaxPoint(): number | undefined;
    set rangeMaxPoint(value: number | undefined);
    get rangeMinPoint(): number | undefined;
    set rangeMinPoint(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorHeightComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSelectorHeightComponent, "dxo-range-selector-height", never, { "rangeMaxPoint": { "alias": "rangeMaxPoint"; "required": false; }; "rangeMinPoint": { "alias": "rangeMinPoint"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSelectorHeightModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorHeightModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSelectorHeightModule, [typeof DxoRangeSelectorHeightComponent], never, [typeof DxoRangeSelectorHeightComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSelectorHeightModule>;
}
