/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSelectorIndentComponent extends NestedOption implements OnDestroy, OnInit {
    get left(): number | undefined;
    set left(value: number | undefined);
    get right(): number | undefined;
    set right(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorIndentComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSelectorIndentComponent, "dxo-range-selector-indent", never, { "left": { "alias": "left"; "required": false; }; "right": { "alias": "right"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSelectorIndentModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorIndentModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSelectorIndentModule, [typeof DxoRangeSelectorIndentComponent], never, [typeof DxoRangeSelectorIndentComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSelectorIndentModule>;
}
