/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Format } from 'devextreme/common/core/localization';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSelectorMarkerComponent extends NestedOption implements OnDestroy, OnInit {
    get label(): {
        customizeText?: ((markerValue: {
            value: Date | number;
            valueText: string;
        }) => string);
        format?: Format | undefined;
    };
    set label(value: {
        customizeText?: ((markerValue: {
            value: Date | number;
            valueText: string;
        }) => string);
        format?: Format | undefined;
    });
    get separatorHeight(): number;
    set separatorHeight(value: number);
    get textLeftIndent(): number;
    set textLeftIndent(value: number);
    get textTopIndent(): number;
    set textTopIndent(value: number);
    get topIndent(): number;
    set topIndent(value: number);
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorMarkerComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSelectorMarkerComponent, "dxo-range-selector-marker", never, { "label": { "alias": "label"; "required": false; }; "separatorHeight": { "alias": "separatorHeight"; "required": false; }; "textLeftIndent": { "alias": "textLeftIndent"; "required": false; }; "textTopIndent": { "alias": "textTopIndent"; "required": false; }; "topIndent": { "alias": "topIndent"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSelectorMarkerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorMarkerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSelectorMarkerModule, [typeof DxoRangeSelectorMarkerComponent], never, [typeof DxoRangeSelectorMarkerComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSelectorMarkerModule>;
}
