/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { FinancialChartReductionLevel } from 'devextreme/viz/chart';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSelectorReductionComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string;
    set color(value: string);
    get level(): FinancialChartReductionLevel;
    set level(value: FinancialChartReductionLevel);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorReductionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSelectorReductionComponent, "dxo-range-selector-reduction", never, { "color": { "alias": "color"; "required": false; }; "level": { "alias": "level"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSelectorReductionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorReductionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSelectorReductionModule, [typeof DxoRangeSelectorReductionComponent], never, [typeof DxoRangeSelectorReductionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSelectorReductionModule>;
}
