/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { HatchDirection } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSankeyHoverStyleComponent extends NestedOption implements OnDestroy, OnInit {
    get border(): {
        color?: string | undefined;
        visible?: boolean | undefined;
        width?: number | undefined;
    };
    set border(value: {
        color?: string | undefined;
        visible?: boolean | undefined;
        width?: number | undefined;
    });
    get color(): string | undefined;
    set color(value: string | undefined);
    get hatching(): {
        direction?: HatchDirection;
        opacity?: number;
        step?: number;
        width?: number;
    };
    set hatching(value: {
        direction?: HatchDirection;
        opacity?: number;
        step?: number;
        width?: number;
    });
    get opacity(): number | undefined;
    set opacity(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSankeyHoverStyleComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSankeyHoverStyleComponent, "dxo-sankey-hover-style", never, { "border": { "alias": "border"; "required": false; }; "color": { "alias": "color"; "required": false; }; "hatching": { "alias": "hatching"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoSankeyHoverStyleModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSankeyHoverStyleModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSankeyHoverStyleModule, [typeof DxoSankeyHoverStyleComponent], never, [typeof DxoSankeyHoverStyleComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSankeyHoverStyleModule>;
}
