/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { ScrollMode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSchedulerScrollingComponent extends NestedOption implements OnDestroy, OnInit {
    get mode(): ScrollMode;
    set mode(value: ScrollMode);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSchedulerScrollingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSchedulerScrollingComponent, "dxo-scheduler-scrolling", never, { "mode": { "alias": "mode"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoSchedulerScrollingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSchedulerScrollingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSchedulerScrollingModule, [typeof DxoSchedulerScrollingComponent], never, [typeof DxoSchedulerScrollingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSchedulerScrollingModule>;
}
