/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoTreeListFilterPanelTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get clearFilter(): string;
    set clearFilter(value: string);
    get createFilter(): string;
    set createFilter(value: string);
    get filterEnabledHint(): string;
    set filterEnabledHint(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListFilterPanelTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTreeListFilterPanelTextsComponent, "dxo-tree-list-filter-panel-texts", never, { "clearFilter": { "alias": "clearFilter"; "required": false; }; "createFilter": { "alias": "createFilter"; "required": false; }; "filterEnabledHint": { "alias": "filterEnabledHint"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTreeListFilterPanelTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListFilterPanelTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTreeListFilterPanelTextsModule, [typeof DxoTreeListFilterPanelTextsComponent], never, [typeof DxoTreeListFilterPanelTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTreeListFilterPanelTextsModule>;
}
