/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Font, TextOverflow } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoTreeMapGroupLabelComponent extends NestedOption implements OnDestroy, OnInit {
    get font(): Font;
    set font(value: Font);
    get textOverflow(): TextOverflow;
    set textOverflow(value: TextOverflow);
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeMapGroupLabelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTreeMapGroupLabelComponent, "dxo-tree-map-group-label", never, { "font": { "alias": "font"; "required": false; }; "textOverflow": { "alias": "textOverflow"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTreeMapGroupLabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeMapGroupLabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTreeMapGroupLabelModule, [typeof DxoTreeMapGroupLabelComponent], never, [typeof DxoTreeMapGroupLabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTreeMapGroupLabelModule>;
}
