/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoTreeMapTreeMapborderComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string | undefined;
    set color(value: string | undefined);
    get width(): number | undefined;
    set width(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeMapTreeMapborderComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTreeMapTreeMapborderComponent, "dxo-tree-map-tree-mapborder", never, { "color": { "alias": "color"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTreeMapTreeMapborderModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeMapTreeMapborderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTreeMapTreeMapborderModule, [typeof DxoTreeMapTreeMapborderComponent], never, [typeof DxoTreeMapTreeMapborderComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTreeMapTreeMapborderModule>;
}
