/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoVectorMapBackgroundComponent extends NestedOption implements OnDestroy, OnInit {
    get borderColor(): string;
    set borderColor(value: string);
    get color(): string;
    set color(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapBackgroundComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVectorMapBackgroundComponent, "dxo-vector-map-background", never, { "borderColor": { "alias": "borderColor"; "required": false; }; "color": { "alias": "color"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoVectorMapBackgroundModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapBackgroundModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoVectorMapBackgroundModule, [typeof DxoVectorMapBackgroundComponent], never, [typeof DxoVectorMapBackgroundComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoVectorMapBackgroundModule>;
}
