/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Font } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoVectorMapLabelComponent extends NestedOption implements OnDestroy, OnInit {
    get dataField(): string;
    set dataField(value: string);
    get enabled(): boolean;
    set enabled(value: boolean);
    get font(): Font;
    set font(value: Font);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapLabelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVectorMapLabelComponent, "dxo-vector-map-label", never, { "dataField": { "alias": "dataField"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; "font": { "alias": "font"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoVectorMapLabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapLabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoVectorMapLabelModule, [typeof DxoVectorMapLabelComponent], never, [typeof DxoVectorMapLabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoVectorMapLabelModule>;
}
