/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoVectorMapProjectionComponent extends NestedOption implements OnDestroy, OnInit {
    get aspectRatio(): number;
    set aspectRatio(value: number);
    get from(): ((coordinates: Array<number>) => Array<number>);
    set from(value: ((coordinates: Array<number>) => Array<number>));
    get to(): ((coordinates: Array<number>) => Array<number>);
    set to(value: ((coordinates: Array<number>) => Array<number>));
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapProjectionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVectorMapProjectionComponent, "dxo-vector-map-projection", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "from": { "alias": "from"; "required": false; }; "to": { "alias": "to"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoVectorMapProjectionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapProjectionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoVectorMapProjectionModule, [typeof DxoVectorMapProjectionComponent], never, [typeof DxoVectorMapProjectionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoVectorMapProjectionModule>;
}
