/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { HttpClient } from '@angular/common/http';
type Result = Promise<any> & {
    abort: () => void;
};
interface Options {
    url: string;
    [key: string]: any;
}
export declare const sendRequestFactory: (httpClient: HttpClient) => (options: Options) => Result;
export {};
