/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoChartAnnotationImageComponent extends NestedOption implements OnDestroy, OnInit {
    get height(): number;
    set height(value: number);
    get url(): string | undefined;
    set url(value: string | undefined);
    get width(): number;
    set width(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoChartAnnotationImageComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoChartAnnotationImageComponent, "dxo-chart-annotation-image", never, { "height": { "alias": "height"; "required": false; }; "url": { "alias": "url"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoChartAnnotationImageModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoChartAnnotationImageModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoChartAnnotationImageModule, [typeof DxoChartAnnotationImageComponent], never, [typeof DxoChartAnnotationImageComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoChartAnnotationImageModule>;
}
