/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoChatUserComponent extends NestedOption implements OnDestroy, OnInit {
    get avatarAlt(): string;
    set avatarAlt(value: string);
    get avatarUrl(): string;
    set avatarUrl(value: string);
    get id(): number | string;
    set id(value: number | string);
    get name(): string;
    set name(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoChatUserComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoChatUserComponent, "dxo-chat-user", never, { "avatarAlt": { "alias": "avatarAlt"; "required": false; }; "avatarUrl": { "alias": "avatarUrl"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoChatUserModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoChatUserModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoChatUserModule, [typeof DxoChatUserComponent], never, [typeof DxoChatUserComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoChatUserModule>;
}
