/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataGridExportTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get exportAll(): string;
    set exportAll(value: string);
    get exportSelectedRows(): string;
    set exportSelectedRows(value: string);
    get exportTo(): string;
    set exportTo(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridExportTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridExportTextsComponent, "dxo-data-grid-export-texts", never, { "exportAll": { "alias": "exportAll"; "required": false; }; "exportSelectedRows": { "alias": "exportSelectedRows"; "required": false; }; "exportTo": { "alias": "exportTo"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDataGridExportTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridExportTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataGridExportTextsModule, [typeof DxoDataGridExportTextsComponent], never, [typeof DxoDataGridExportTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataGridExportTextsModule>;
}
