/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataGridGroupingTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get groupByThisColumn(): string;
    set groupByThisColumn(value: string);
    get groupContinuedMessage(): string;
    set groupContinuedMessage(value: string);
    get groupContinuesMessage(): string;
    set groupContinuesMessage(value: string);
    get ungroup(): string;
    set ungroup(value: string);
    get ungroupAll(): string;
    set ungroupAll(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridGroupingTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridGroupingTextsComponent, "dxo-data-grid-grouping-texts", never, { "groupByThisColumn": { "alias": "groupByThisColumn"; "required": false; }; "groupContinuedMessage": { "alias": "groupContinuedMessage"; "required": false; }; "groupContinuesMessage": { "alias": "groupContinuesMessage"; "required": false; }; "ungroup": { "alias": "ungroup"; "required": false; }; "ungroupAll": { "alias": "ungroupAll"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDataGridGroupingTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridGroupingTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataGridGroupingTextsModule, [typeof DxoDataGridGroupingTextsComponent], never, [typeof DxoDataGridGroupingTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataGridGroupingTextsModule>;
}
