/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDataGridRemoteOperationsComponent extends NestedOption implements OnDestroy, OnInit {
    get filtering(): boolean;
    set filtering(value: boolean);
    get grouping(): boolean;
    set grouping(value: boolean);
    get groupPaging(): boolean;
    set groupPaging(value: boolean);
    get paging(): boolean;
    set paging(value: boolean);
    get sorting(): boolean;
    set sorting(value: boolean);
    get summary(): boolean;
    set summary(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridRemoteOperationsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDataGridRemoteOperationsComponent, "dxo-data-grid-remote-operations", never, { "filtering": { "alias": "filtering"; "required": false; }; "grouping": { "alias": "grouping"; "required": false; }; "groupPaging": { "alias": "groupPaging"; "required": false; }; "paging": { "alias": "paging"; "required": false; }; "sorting": { "alias": "sorting"; "required": false; }; "summary": { "alias": "summary"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDataGridRemoteOperationsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDataGridRemoteOperationsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDataGridRemoteOperationsModule, [typeof DxoDataGridRemoteOperationsComponent], never, [typeof DxoDataGridRemoteOperationsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDataGridRemoteOperationsModule>;
}
