/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Orientation } from 'devextreme/common';
import { DataLayoutType } from 'devextreme/ui/diagram';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDiagramAutoLayoutComponent extends NestedOption implements OnDestroy, OnInit {
    get orientation(): Orientation;
    set orientation(value: Orientation);
    get type(): DataLayoutType;
    set type(value: DataLayoutType);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramAutoLayoutComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDiagramAutoLayoutComponent, "dxo-diagram-auto-layout", never, { "orientation": { "alias": "orientation"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDiagramAutoLayoutModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramAutoLayoutModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDiagramAutoLayoutModule, [typeof DxoDiagramAutoLayoutComponent], never, [typeof DxoDiagramAutoLayoutComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDiagramAutoLayoutModule>;
}
