/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { ConnectorLineEnd, ConnectorLineType } from 'devextreme/ui/diagram';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDiagramDefaultItemPropertiesComponent extends NestedOption implements OnDestroy, OnInit {
    get connectorLineEnd(): ConnectorLineEnd;
    set connectorLineEnd(value: ConnectorLineEnd);
    get connectorLineStart(): ConnectorLineEnd;
    set connectorLineStart(value: ConnectorLineEnd);
    get connectorLineType(): ConnectorLineType;
    set connectorLineType(value: ConnectorLineType);
    get shapeMaxHeight(): number | undefined;
    set shapeMaxHeight(value: number | undefined);
    get shapeMaxWidth(): number | undefined;
    set shapeMaxWidth(value: number | undefined);
    get shapeMinHeight(): number | undefined;
    set shapeMinHeight(value: number | undefined);
    get shapeMinWidth(): number | undefined;
    set shapeMinWidth(value: number | undefined);
    get style(): Record<string, any>;
    set style(value: Record<string, any>);
    get textStyle(): Record<string, any>;
    set textStyle(value: Record<string, any>);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramDefaultItemPropertiesComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDiagramDefaultItemPropertiesComponent, "dxo-diagram-default-item-properties", never, { "connectorLineEnd": { "alias": "connectorLineEnd"; "required": false; }; "connectorLineStart": { "alias": "connectorLineStart"; "required": false; }; "connectorLineType": { "alias": "connectorLineType"; "required": false; }; "shapeMaxHeight": { "alias": "shapeMaxHeight"; "required": false; }; "shapeMaxWidth": { "alias": "shapeMaxWidth"; "required": false; }; "shapeMinHeight": { "alias": "shapeMinHeight"; "required": false; }; "shapeMinWidth": { "alias": "shapeMinWidth"; "required": false; }; "style": { "alias": "style"; "required": false; }; "textStyle": { "alias": "textStyle"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDiagramDefaultItemPropertiesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramDefaultItemPropertiesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDiagramDefaultItemPropertiesModule, [typeof DxoDiagramDefaultItemPropertiesComponent], never, [typeof DxoDiagramDefaultItemPropertiesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDiagramDefaultItemPropertiesModule>;
}
