/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDiagramEditingComponent extends NestedOption implements OnDestroy, OnInit {
    get allowAddShape(): boolean;
    set allowAddShape(value: boolean);
    get allowChangeConnection(): boolean;
    set allowChangeConnection(value: boolean);
    get allowChangeConnectorPoints(): boolean;
    set allowChangeConnectorPoints(value: boolean);
    get allowChangeConnectorText(): boolean;
    set allowChangeConnectorText(value: boolean);
    get allowChangeShapeText(): boolean;
    set allowChangeShapeText(value: boolean);
    get allowDeleteConnector(): boolean;
    set allowDeleteConnector(value: boolean);
    get allowDeleteShape(): boolean;
    set allowDeleteShape(value: boolean);
    get allowMoveShape(): boolean;
    set allowMoveShape(value: boolean);
    get allowResizeShape(): boolean;
    set allowResizeShape(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramEditingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDiagramEditingComponent, "dxo-diagram-editing", never, { "allowAddShape": { "alias": "allowAddShape"; "required": false; }; "allowChangeConnection": { "alias": "allowChangeConnection"; "required": false; }; "allowChangeConnectorPoints": { "alias": "allowChangeConnectorPoints"; "required": false; }; "allowChangeConnectorText": { "alias": "allowChangeConnectorText"; "required": false; }; "allowChangeShapeText": { "alias": "allowChangeShapeText"; "required": false; }; "allowDeleteConnector": { "alias": "allowDeleteConnector"; "required": false; }; "allowDeleteShape": { "alias": "allowDeleteShape"; "required": false; }; "allowMoveShape": { "alias": "allowMoveShape"; "required": false; }; "allowResizeShape": { "alias": "allowResizeShape"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDiagramEditingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramEditingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDiagramEditingModule, [typeof DxoDiagramEditingComponent], never, [typeof DxoDiagramEditingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDiagramEditingModule>;
}
