/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDiagramGridSizeComponent extends NestedOption implements OnDestroy, OnInit {
    get items(): Array<number>;
    set items(value: Array<number>);
    get value(): number;
    set value(value: number);
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    valueChange: EventEmitter<number>;
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramGridSizeComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDiagramGridSizeComponent, "dxo-diagram-grid-size", never, { "items": { "alias": "items"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
export declare class DxoDiagramGridSizeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDiagramGridSizeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDiagramGridSizeModule, [typeof DxoDiagramGridSizeComponent], never, [typeof DxoDiagramGridSizeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDiagramGridSizeModule>;
}
