/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoFileManagerNotificationsComponent extends NestedOption implements OnDestroy, OnInit {
    get showPanel(): boolean;
    set showPanel(value: boolean);
    get showPopup(): boolean;
    set showPopup(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerNotificationsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoFileManagerNotificationsComponent, "dxo-file-manager-notifications", never, { "showPanel": { "alias": "showPanel"; "required": false; }; "showPopup": { "alias": "showPopup"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoFileManagerNotificationsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoFileManagerNotificationsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoFileManagerNotificationsModule, [typeof DxoFileManagerNotificationsComponent], never, [typeof DxoFileManagerNotificationsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoFileManagerNotificationsModule>;
}
