/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import DataSource from 'devextreme/data/data_source';
import { DataSourceOptions } from 'devextreme/data/data_source';
import { Store } from 'devextreme/data/store';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGanttResourceAssignmentsComponent extends NestedOption implements OnDestroy, OnInit {
    get dataSource(): Array<any> | DataSource | DataSourceOptions | null | Store | string;
    set dataSource(value: Array<any> | DataSource | DataSourceOptions | null | Store | string);
    get keyExpr(): Function | string;
    set keyExpr(value: Function | string);
    get resourceIdExpr(): Function | string;
    set resourceIdExpr(value: Function | string);
    get taskIdExpr(): Function | string;
    set taskIdExpr(value: Function | string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttResourceAssignmentsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttResourceAssignmentsComponent, "dxo-gantt-resource-assignments", never, { "dataSource": { "alias": "dataSource"; "required": false; }; "keyExpr": { "alias": "keyExpr"; "required": false; }; "resourceIdExpr": { "alias": "resourceIdExpr"; "required": false; }; "taskIdExpr": { "alias": "taskIdExpr"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoGanttResourceAssignmentsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttResourceAssignmentsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGanttResourceAssignmentsModule, [typeof DxoGanttResourceAssignmentsComponent], never, [typeof DxoGanttResourceAssignmentsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGanttResourceAssignmentsModule>;
}
