/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import DataSource from 'devextreme/data/data_source';
import { DataSourceOptions } from 'devextreme/data/data_source';
import { Store } from 'devextreme/data/store';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoGanttResourcesComponent extends NestedOption implements OnDestroy, OnInit {
    get colorExpr(): Function | string;
    set colorExpr(value: Function | string);
    get dataSource(): Array<any> | DataSource | DataSourceOptions | null | Store | string;
    set dataSource(value: Array<any> | DataSource | DataSourceOptions | null | Store | string);
    get keyExpr(): Function | string;
    set keyExpr(value: Function | string);
    get textExpr(): Function | string;
    set textExpr(value: Function | string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttResourcesComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoGanttResourcesComponent, "dxo-gantt-resources", never, { "colorExpr": { "alias": "colorExpr"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; "keyExpr": { "alias": "keyExpr"; "required": false; }; "textExpr": { "alias": "textExpr"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoGanttResourcesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoGanttResourcesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoGanttResourcesModule, [typeof DxoGanttResourcesComponent], never, [typeof DxoGanttResourcesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoGanttResourcesModule>;
}
