/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoHtmlEditorConverterComponent extends NestedOption implements OnDestroy, OnInit {
    get fromHtml(): ((value: string) => string);
    set fromHtml(value: ((value: string) => string));
    get toHtml(): ((value: string) => string);
    set toHtml(value: ((value: string) => string));
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorConverterComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHtmlEditorConverterComponent, "dxo-html-editor-converter", never, { "fromHtml": { "alias": "fromHtml"; "required": false; }; "toHtml": { "alias": "toHtml"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoHtmlEditorConverterModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorConverterModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoHtmlEditorConverterModule, [typeof DxoHtmlEditorConverterComponent], never, [typeof DxoHtmlEditorConverterComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoHtmlEditorConverterModule>;
}
