/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoLinearGaugeBackgroundColorComponent extends NestedOption implements OnDestroy, OnInit {
    get base(): string | undefined;
    set base(value: string | undefined);
    get fillId(): string | undefined;
    set fillId(value: string | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLinearGaugeBackgroundColorComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoLinearGaugeBackgroundColorComponent, "dxo-linear-gauge-background-color", never, { "base": { "alias": "base"; "required": false; }; "fillId": { "alias": "fillId"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoLinearGaugeBackgroundColorModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLinearGaugeBackgroundColorModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoLinearGaugeBackgroundColorModule, [typeof DxoLinearGaugeBackgroundColorComponent], never, [typeof DxoLinearGaugeBackgroundColorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoLinearGaugeBackgroundColorModule>;
}
