/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Orientation } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoLinearGaugeGeometryComponent extends NestedOption implements OnDestroy, OnInit {
    get orientation(): Orientation;
    set orientation(value: Orientation);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLinearGaugeGeometryComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoLinearGaugeGeometryComponent, "dxo-linear-gauge-geometry", never, { "orientation": { "alias": "orientation"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoLinearGaugeGeometryModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoLinearGaugeGeometryModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoLinearGaugeGeometryModule, [typeof DxoLinearGaugeGeometryComponent], never, [typeof DxoLinearGaugeGeometryComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoLinearGaugeGeometryModule>;
}
