/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { CollectionNestedOption } from 'devextreme-angular/core';
import { ToolbarItemLocation } from 'devextreme/common';
import { Command, CustomCommand } from 'devextreme/ui/diagram';
import * as i0 from "@angular/core";
export declare abstract class DxiDiagramCustomCommand extends CollectionNestedOption {
    get icon(): string;
    set icon(value: string);
    get items(): Array<CustomCommand | Command>;
    set items(value: Array<CustomCommand | Command>);
    get location(): ToolbarItemLocation;
    set location(value: ToolbarItemLocation);
    get name(): Command | string;
    set name(value: Command | string);
    get text(): string;
    set text(value: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxiDiagramCustomCommand, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxiDiagramCustomCommand, "ng-component", never, {}, {}, never, never, false, never>;
}
