/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import { dxFileUploaderOptions } from 'devextreme/ui/file_uploader';
import { dxHtmlEditorImageUploadTabItem, HtmlEditorImageUploadMode, HtmlEditorImageUploadTab } from 'devextreme/ui/html_editor';
import * as i0 from "@angular/core";
export declare abstract class DxoHtmlEditorImageUpload extends NestedOption {
    get fileUploaderOptions(): dxFileUploaderOptions;
    set fileUploaderOptions(value: dxFileUploaderOptions);
    get fileUploadMode(): HtmlEditorImageUploadMode;
    set fileUploadMode(value: HtmlEditorImageUploadMode);
    get tabs(): Array<dxHtmlEditorImageUploadTabItem | HtmlEditorImageUploadTab>;
    set tabs(value: Array<dxHtmlEditorImageUploadTabItem | HtmlEditorImageUploadTab>);
    get uploadDirectory(): string | undefined;
    set uploadDirectory(value: string | undefined);
    get uploadUrl(): string | undefined;
    set uploadUrl(value: string | undefined);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHtmlEditorImageUpload, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHtmlEditorImageUpload, "ng-component", never, {}, {}, never, never, false, never>;
}
