/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare abstract class DxoUser extends NestedOption {
    get avatarAlt(): string;
    set avatarAlt(value: string);
    get avatarUrl(): string;
    set avatarUrl(value: string);
    get id(): number | string;
    set id(value: number | string);
    get name(): string;
    set name(value: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoUser, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoUser, "ng-component", never, {}, {}, never, never, false, never>;
}
