/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoGanttHeaderFilter } from './base/gantt-header-filter';
import * as i0 from "@angular/core";
export declare class DxoHeaderFilterComponent extends DxoGanttHeaderFilter implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHeaderFilterComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoHeaderFilterComponent, "dxo-header-filter", never, { "allowSearch": { "alias": "allowSearch"; "required": false; }; "allowSelectAll": { "alias": "allowSelectAll"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; "groupInterval": { "alias": "groupInterval"; "required": false; }; "height": { "alias": "height"; "required": false; }; "search": { "alias": "search"; "required": false; }; "searchMode": { "alias": "searchMode"; "required": false; }; "width": { "alias": "width"; "required": false; }; "searchTimeout": { "alias": "searchTimeout"; "required": false; }; "texts": { "alias": "texts"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "showRelevantValues": { "alias": "showRelevantValues"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoHeaderFilterModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoHeaderFilterModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoHeaderFilterModule, [typeof DxoHeaderFilterComponent], never, [typeof DxoHeaderFilterComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoHeaderFilterModule>;
}
