/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Store } from 'devextreme/data';
import DataSource, { Options as DataSourceOptions } from 'devextreme/data/data_source';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoResourceAssignmentsComponent extends NestedOption implements OnDestroy, OnInit {
    get dataSource(): Store | DataSource | DataSourceOptions | null | string | Array<any>;
    set dataSource(value: Store | DataSource | DataSourceOptions | null | string | Array<any>);
    get keyExpr(): Function | string;
    set keyExpr(value: Function | string);
    get resourceIdExpr(): Function | string;
    set resourceIdExpr(value: Function | string);
    get taskIdExpr(): Function | string;
    set taskIdExpr(value: Function | string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoResourceAssignmentsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoResourceAssignmentsComponent, "dxo-resource-assignments", never, { "dataSource": { "alias": "dataSource"; "required": false; }; "keyExpr": { "alias": "keyExpr"; "required": false; }; "resourceIdExpr": { "alias": "resourceIdExpr"; "required": false; }; "taskIdExpr": { "alias": "taskIdExpr"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoResourceAssignmentsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoResourceAssignmentsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoResourceAssignmentsModule, [typeof DxoResourceAssignmentsComponent], never, [typeof DxoResourceAssignmentsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoResourceAssignmentsModule>;
}
