/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoSchedulerScrolling } from './base/scheduler-scrolling';
import * as i0 from "@angular/core";
export declare class DxoScrollingComponent extends DxoSchedulerScrolling implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoScrollingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoScrollingComponent, "dxo-scrolling", never, { "columnRenderingMode": { "alias": "columnRenderingMode"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "preloadEnabled": { "alias": "preloadEnabled"; "required": false; }; "renderAsync": { "alias": "renderAsync"; "required": false; }; "rowRenderingMode": { "alias": "rowRenderingMode"; "required": false; }; "scrollByContent": { "alias": "scrollByContent"; "required": false; }; "scrollByThumb": { "alias": "scrollByThumb"; "required": false; }; "showScrollbar": { "alias": "showScrollbar"; "required": false; }; "useNative": { "alias": "useNative"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoScrollingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoScrollingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoScrollingModule, [typeof DxoScrollingComponent], never, [typeof DxoScrollingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoScrollingModule>;
}
