/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoColumnChooserSearchConfig } from './base/column-chooser-search-config';
import * as i0 from "@angular/core";
export declare class DxoSearchComponent extends DxoColumnChooserSearchConfig implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSearchComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSearchComponent, "dxo-search", never, { "editorOptions": { "alias": "editorOptions"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; "timeout": { "alias": "timeout"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "searchExpr": { "alias": "searchExpr"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoSearchModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSearchModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSearchModule, [typeof DxoSearchComponent], never, [typeof DxoSearchComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSearchModule>;
}
