/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoHtmlEditorTableResizing } from './base/html-editor-table-resizing';
import * as i0 from "@angular/core";
export declare class DxoTableResizingComponent extends DxoHtmlEditorTableResizing implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTableResizingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTableResizingComponent, "dxo-table-resizing", never, { "enabled": { "alias": "enabled"; "required": false; }; "minColumnWidth": { "alias": "minColumnWidth"; "required": false; }; "minRowHeight": { "alias": "minRowHeight"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTableResizingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTableResizingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTableResizingModule, [typeof DxoTableResizingComponent], never, [typeof DxoTableResizingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTableResizingModule>;
}
