/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { DxoHtmlEditorVariables } from './base/html-editor-variables';
import * as i0 from "@angular/core";
export declare class DxoVariablesComponent extends DxoHtmlEditorVariables implements OnDestroy, OnInit {
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVariablesComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVariablesComponent, "dxo-variables", never, { "dataSource": { "alias": "dataSource"; "required": false; }; "escapeChar": { "alias": "escapeChar"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoVariablesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVariablesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoVariablesModule, [typeof DxoVariablesComponent], never, [typeof DxoVariablesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoVariablesModule>;
}
