/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { PieChartSeries } from 'devextreme/viz/pie_chart';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPieChartSeriesTemplateComponent extends NestedOption implements OnDestroy, OnInit {
    get customizeSeries(): ((seriesName: any) => PieChartSeries);
    set customizeSeries(value: ((seriesName: any) => PieChartSeries));
    get nameField(): string;
    set nameField(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPieChartSeriesTemplateComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPieChartSeriesTemplateComponent, "dxo-pie-chart-series-template", never, { "customizeSeries": { "alias": "customizeSeries"; "required": false; }; "nameField": { "alias": "nameField"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPieChartSeriesTemplateModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPieChartSeriesTemplateModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPieChartSeriesTemplateModule, [typeof DxoPieChartSeriesTemplateComponent], never, [typeof DxoPieChartSeriesTemplateComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPieChartSeriesTemplateModule>;
}
