/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { SmallValuesGroupingMode } from 'devextreme/viz/pie_chart';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPieChartSmallValuesGroupingComponent extends NestedOption implements OnDestroy, OnInit {
    get groupName(): string;
    set groupName(value: string);
    get mode(): SmallValuesGroupingMode;
    set mode(value: SmallValuesGroupingMode);
    get threshold(): number | undefined;
    set threshold(value: number | undefined);
    get topCount(): number | undefined;
    set topCount(value: number | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPieChartSmallValuesGroupingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPieChartSmallValuesGroupingComponent, "dxo-pie-chart-small-values-grouping", never, { "groupName": { "alias": "groupName"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "threshold": { "alias": "threshold"; "required": false; }; "topCount": { "alias": "topCount"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPieChartSmallValuesGroupingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPieChartSmallValuesGroupingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPieChartSmallValuesGroupingModule, [typeof DxoPieChartSmallValuesGroupingComponent], never, [typeof DxoPieChartSmallValuesGroupingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPieChartSmallValuesGroupingModule>;
}
