/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPivotGridFieldChooserTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get allFields(): string;
    set allFields(value: string);
    get columnFields(): string;
    set columnFields(value: string);
    get dataFields(): string;
    set dataFields(value: string);
    get filterFields(): string;
    set filterFields(value: string);
    get rowFields(): string;
    set rowFields(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridFieldChooserTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPivotGridFieldChooserTextsComponent, "dxo-pivot-grid-field-chooser-texts", never, { "allFields": { "alias": "allFields"; "required": false; }; "columnFields": { "alias": "columnFields"; "required": false; }; "dataFields": { "alias": "dataFields"; "required": false; }; "filterFields": { "alias": "filterFields"; "required": false; }; "rowFields": { "alias": "rowFields"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPivotGridFieldChooserTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridFieldChooserTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPivotGridFieldChooserTextsModule, [typeof DxoPivotGridFieldChooserTextsComponent], never, [typeof DxoPivotGridFieldChooserTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPivotGridFieldChooserTextsModule>;
}
