/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPivotGridFieldPanelComponent extends NestedOption implements OnDestroy, OnInit {
    get allowFieldDragging(): boolean;
    set allowFieldDragging(value: boolean);
    get showColumnFields(): boolean;
    set showColumnFields(value: boolean);
    get showDataFields(): boolean;
    set showDataFields(value: boolean);
    get showFilterFields(): boolean;
    set showFilterFields(value: boolean);
    get showRowFields(): boolean;
    set showRowFields(value: boolean);
    get texts(): {
        columnFieldArea?: string;
        dataFieldArea?: string;
        filterFieldArea?: string;
        rowFieldArea?: string;
    };
    set texts(value: {
        columnFieldArea?: string;
        dataFieldArea?: string;
        filterFieldArea?: string;
        rowFieldArea?: string;
    });
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridFieldPanelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPivotGridFieldPanelComponent, "dxo-pivot-grid-field-panel", never, { "allowFieldDragging": { "alias": "allowFieldDragging"; "required": false; }; "showColumnFields": { "alias": "showColumnFields"; "required": false; }; "showDataFields": { "alias": "showDataFields"; "required": false; }; "showFilterFields": { "alias": "showFilterFields"; "required": false; }; "showRowFields": { "alias": "showRowFields"; "required": false; }; "texts": { "alias": "texts"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPivotGridFieldPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridFieldPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPivotGridFieldPanelModule, [typeof DxoPivotGridFieldPanelComponent], never, [typeof DxoPivotGridFieldPanelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPivotGridFieldPanelModule>;
}
