/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPivotGridTextsComponent extends NestedOption implements OnDestroy, OnInit {
    get allFields(): string;
    set allFields(value: string);
    get columnFields(): string;
    set columnFields(value: string);
    get dataFields(): string;
    set dataFields(value: string);
    get filterFields(): string;
    set filterFields(value: string);
    get rowFields(): string;
    set rowFields(value: string);
    get columnFieldArea(): string;
    set columnFieldArea(value: string);
    get dataFieldArea(): string;
    set dataFieldArea(value: string);
    get filterFieldArea(): string;
    set filterFieldArea(value: string);
    get rowFieldArea(): string;
    set rowFieldArea(value: string);
    get cancel(): string;
    set cancel(value: string);
    get emptyValue(): string;
    set emptyValue(value: string);
    get ok(): string;
    set ok(value: string);
    get collapseAll(): string;
    set collapseAll(value: string);
    get dataNotAvailable(): string;
    set dataNotAvailable(value: string);
    get expandAll(): string;
    set expandAll(value: string);
    get exportToExcel(): string;
    set exportToExcel(value: string);
    get grandTotal(): string;
    set grandTotal(value: string);
    get noData(): string;
    set noData(value: string);
    get removeAllSorting(): string;
    set removeAllSorting(value: string);
    get showFieldChooser(): string;
    set showFieldChooser(value: string);
    get sortColumnBySummary(): string;
    set sortColumnBySummary(value: string);
    get sortRowBySummary(): string;
    set sortRowBySummary(value: string);
    get total(): string;
    set total(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridTextsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPivotGridTextsComponent, "dxo-pivot-grid-texts", never, { "allFields": { "alias": "allFields"; "required": false; }; "columnFields": { "alias": "columnFields"; "required": false; }; "dataFields": { "alias": "dataFields"; "required": false; }; "filterFields": { "alias": "filterFields"; "required": false; }; "rowFields": { "alias": "rowFields"; "required": false; }; "columnFieldArea": { "alias": "columnFieldArea"; "required": false; }; "dataFieldArea": { "alias": "dataFieldArea"; "required": false; }; "filterFieldArea": { "alias": "filterFieldArea"; "required": false; }; "rowFieldArea": { "alias": "rowFieldArea"; "required": false; }; "cancel": { "alias": "cancel"; "required": false; }; "emptyValue": { "alias": "emptyValue"; "required": false; }; "ok": { "alias": "ok"; "required": false; }; "collapseAll": { "alias": "collapseAll"; "required": false; }; "dataNotAvailable": { "alias": "dataNotAvailable"; "required": false; }; "expandAll": { "alias": "expandAll"; "required": false; }; "exportToExcel": { "alias": "exportToExcel"; "required": false; }; "grandTotal": { "alias": "grandTotal"; "required": false; }; "noData": { "alias": "noData"; "required": false; }; "removeAllSorting": { "alias": "removeAllSorting"; "required": false; }; "showFieldChooser": { "alias": "showFieldChooser"; "required": false; }; "sortColumnBySummary": { "alias": "sortColumnBySummary"; "required": false; }; "sortRowBySummary": { "alias": "sortRowBySummary"; "required": false; }; "total": { "alias": "total"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPivotGridTextsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPivotGridTextsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPivotGridTextsModule, [typeof DxoPivotGridTextsComponent], never, [typeof DxoPivotGridTextsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPivotGridTextsModule>;
}
