/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPolarChartMinorTickIntervalComponent extends NestedOption implements OnDestroy, OnInit {
    get days(): number;
    set days(value: number);
    get hours(): number;
    set hours(value: number);
    get milliseconds(): number;
    set milliseconds(value: number);
    get minutes(): number;
    set minutes(value: number);
    get months(): number;
    set months(value: number);
    get quarters(): number;
    set quarters(value: number);
    get seconds(): number;
    set seconds(value: number);
    get weeks(): number;
    set weeks(value: number);
    get years(): number;
    set years(value: number);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartMinorTickIntervalComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPolarChartMinorTickIntervalComponent, "dxo-polar-chart-minor-tick-interval", never, { "days": { "alias": "days"; "required": false; }; "hours": { "alias": "hours"; "required": false; }; "milliseconds": { "alias": "milliseconds"; "required": false; }; "minutes": { "alias": "minutes"; "required": false; }; "months": { "alias": "months"; "required": false; }; "quarters": { "alias": "quarters"; "required": false; }; "seconds": { "alias": "seconds"; "required": false; }; "weeks": { "alias": "weeks"; "required": false; }; "years": { "alias": "years"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPolarChartMinorTickIntervalModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartMinorTickIntervalModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPolarChartMinorTickIntervalModule, [typeof DxoPolarChartMinorTickIntervalComponent], never, [typeof DxoPolarChartMinorTickIntervalComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPolarChartMinorTickIntervalModule>;
}
