/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Font } from 'devextreme/common/charts';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoPolarChartStripStyleLabelComponent extends NestedOption implements OnDestroy, OnInit {
    get font(): Font;
    set font(value: Font);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartStripStyleLabelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoPolarChartStripStyleLabelComponent, "dxo-polar-chart-strip-style-label", never, { "font": { "alias": "font"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoPolarChartStripStyleLabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoPolarChartStripStyleLabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoPolarChartStripStyleLabelModule, [typeof DxoPolarChartStripStyleLabelComponent], never, [typeof DxoPolarChartStripStyleLabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoPolarChartStripStyleLabelModule>;
}
