/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { BackgroundImageLocation } from 'devextreme/viz/range_selector';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSelectorBackgroundComponent extends NestedOption implements OnDestroy, OnInit {
    get color(): string;
    set color(value: string);
    get image(): {
        location?: BackgroundImageLocation;
        url?: string | undefined;
    };
    set image(value: {
        location?: BackgroundImageLocation;
        url?: string | undefined;
    });
    get visible(): boolean;
    set visible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorBackgroundComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSelectorBackgroundComponent, "dxo-range-selector-background", never, { "color": { "alias": "color"; "required": false; }; "image": { "alias": "image"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSelectorBackgroundModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorBackgroundModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSelectorBackgroundModule, [typeof DxoRangeSelectorBackgroundComponent], never, [typeof DxoRangeSelectorBackgroundComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSelectorBackgroundModule>;
}
