/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Format } from 'devextreme/common/core/localization';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSelectorMarkerLabelComponent extends NestedOption implements OnDestroy, OnInit {
    get customizeText(): ((markerValue: {
        value: Date | number;
        valueText: string;
    }) => string);
    set customizeText(value: ((markerValue: {
        value: Date | number;
        valueText: string;
    }) => string));
    get format(): Format | undefined;
    set format(value: Format | undefined);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorMarkerLabelComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSelectorMarkerLabelComponent, "dxo-range-selector-marker-label", never, { "customizeText": { "alias": "customizeText"; "required": false; }; "format": { "alias": "format"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSelectorMarkerLabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSelectorMarkerLabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSelectorMarkerLabelModule, [typeof DxoRangeSelectorMarkerLabelComponent], never, [typeof DxoRangeSelectorMarkerLabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSelectorMarkerLabelModule>;
}
