/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { Format } from 'devextreme/common/core/localization';
import { VerticalEdge, TooltipShowMode } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoRangeSliderTooltipComponent extends NestedOption implements OnDestroy, OnInit {
    get enabled(): boolean;
    set enabled(value: boolean);
    get format(): Format;
    set format(value: Format);
    get position(): VerticalEdge;
    set position(value: VerticalEdge);
    get showMode(): TooltipShowMode;
    set showMode(value: TooltipShowMode);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSliderTooltipComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoRangeSliderTooltipComponent, "dxo-range-slider-tooltip", never, { "enabled": { "alias": "enabled"; "required": false; }; "format": { "alias": "format"; "required": false; }; "position": { "alias": "position"; "required": false; }; "showMode": { "alias": "showMode"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoRangeSliderTooltipModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoRangeSliderTooltipModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoRangeSliderTooltipModule, [typeof DxoRangeSliderTooltipComponent], never, [typeof DxoRangeSliderTooltipComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoRangeSliderTooltipModule>;
}
