/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoSchedulerEditingComponent extends NestedOption implements OnDestroy, OnInit {
    get allowAdding(): boolean;
    set allowAdding(value: boolean);
    get allowDeleting(): boolean;
    set allowDeleting(value: boolean);
    get allowDragging(): boolean;
    set allowDragging(value: boolean);
    get allowResizing(): boolean;
    set allowResizing(value: boolean);
    get allowTimeZoneEditing(): boolean;
    set allowTimeZoneEditing(value: boolean);
    get allowUpdating(): boolean;
    set allowUpdating(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSchedulerEditingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoSchedulerEditingComponent, "dxo-scheduler-editing", never, { "allowAdding": { "alias": "allowAdding"; "required": false; }; "allowDeleting": { "alias": "allowDeleting"; "required": false; }; "allowDragging": { "alias": "allowDragging"; "required": false; }; "allowResizing": { "alias": "allowResizing"; "required": false; }; "allowTimeZoneEditing": { "alias": "allowTimeZoneEditing"; "required": false; }; "allowUpdating": { "alias": "allowUpdating"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoSchedulerEditingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoSchedulerEditingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoSchedulerEditingModule, [typeof DxoSchedulerEditingComponent], never, [typeof DxoSchedulerEditingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoSchedulerEditingModule>;
}
