/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoTreeListColumnChooserSelectionComponent extends NestedOption implements OnDestroy, OnInit {
    get allowSelectAll(): boolean;
    set allowSelectAll(value: boolean);
    get recursive(): boolean;
    set recursive(value: boolean);
    get selectByClick(): boolean;
    set selectByClick(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListColumnChooserSelectionComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTreeListColumnChooserSelectionComponent, "dxo-tree-list-column-chooser-selection", never, { "allowSelectAll": { "alias": "allowSelectAll"; "required": false; }; "recursive": { "alias": "recursive"; "required": false; }; "selectByClick": { "alias": "selectByClick"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTreeListColumnChooserSelectionModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListColumnChooserSelectionModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTreeListColumnChooserSelectionModule, [typeof DxoTreeListColumnChooserSelectionComponent], never, [typeof DxoTreeListColumnChooserSelectionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTreeListColumnChooserSelectionModule>;
}
