/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoTreeListColumnFixingComponent extends NestedOption implements OnDestroy, OnInit {
    get enabled(): boolean;
    set enabled(value: boolean);
    get icons(): {
        fix?: string;
        leftPosition?: string;
        rightPosition?: string;
        stickyPosition?: string;
        unfix?: string;
    };
    set icons(value: {
        fix?: string;
        leftPosition?: string;
        rightPosition?: string;
        stickyPosition?: string;
        unfix?: string;
    });
    get texts(): {
        fix?: string;
        leftPosition?: string;
        rightPosition?: string;
        stickyPosition?: string;
        unfix?: string;
    };
    set texts(value: {
        fix?: string;
        leftPosition?: string;
        rightPosition?: string;
        stickyPosition?: string;
        unfix?: string;
    });
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListColumnFixingComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTreeListColumnFixingComponent, "dxo-tree-list-column-fixing", never, { "enabled": { "alias": "enabled"; "required": false; }; "icons": { "alias": "icons"; "required": false; }; "texts": { "alias": "texts"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTreeListColumnFixingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListColumnFixingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTreeListColumnFixingModule, [typeof DxoTreeListColumnFixingComponent], never, [typeof DxoTreeListColumnFixingComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTreeListColumnFixingModule>;
}
