/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { StateStoreType } from 'devextreme/common/grids';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoTreeListStateStoringComponent extends NestedOption implements OnDestroy, OnInit {
    get customLoad(): Function;
    set customLoad(value: Function);
    get customSave(): ((gridState: any) => void);
    set customSave(value: ((gridState: any) => void));
    get enabled(): boolean;
    set enabled(value: boolean);
    get savingTimeout(): number;
    set savingTimeout(value: number);
    get storageKey(): string;
    set storageKey(value: string);
    get type(): StateStoreType;
    set type(value: StateStoreType);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListStateStoringComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoTreeListStateStoringComponent, "dxo-tree-list-state-storing", never, { "customLoad": { "alias": "customLoad"; "required": false; }; "customSave": { "alias": "customSave"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; "savingTimeout": { "alias": "savingTimeout"; "required": false; }; "storageKey": { "alias": "storageKey"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoTreeListStateStoringModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoTreeListStateStoringModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoTreeListStateStoringModule, [typeof DxoTreeListStateStoringComponent], never, [typeof DxoTreeListStateStoringComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoTreeListStateStoringModule>;
}
