/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { HorizontalAlignment, VerticalEdge } from 'devextreme/common';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoVectorMapControlBarComponent extends NestedOption implements OnDestroy, OnInit {
    get borderColor(): string;
    set borderColor(value: string);
    get color(): string;
    set color(value: string);
    get enabled(): boolean;
    set enabled(value: boolean);
    get horizontalAlignment(): HorizontalAlignment;
    set horizontalAlignment(value: HorizontalAlignment);
    get margin(): number;
    set margin(value: number);
    get opacity(): number;
    set opacity(value: number);
    get panVisible(): boolean;
    set panVisible(value: boolean);
    get verticalAlignment(): VerticalEdge;
    set verticalAlignment(value: VerticalEdge);
    get zoomVisible(): boolean;
    set zoomVisible(value: boolean);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapControlBarComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVectorMapControlBarComponent, "dxo-vector-map-control-bar", never, { "borderColor": { "alias": "borderColor"; "required": false; }; "color": { "alias": "color"; "required": false; }; "enabled": { "alias": "enabled"; "required": false; }; "horizontalAlignment": { "alias": "horizontalAlignment"; "required": false; }; "margin": { "alias": "margin"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "panVisible": { "alias": "panVisible"; "required": false; }; "verticalAlignment": { "alias": "verticalAlignment"; "required": false; }; "zoomVisible": { "alias": "zoomVisible"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoVectorMapControlBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapControlBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoVectorMapControlBarModule, [typeof DxoVectorMapControlBarComponent], never, [typeof DxoVectorMapControlBarComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoVectorMapControlBarModule>;
}
