/*!
 * devextreme-angular
 * Version: 24.2.7
 * Build date: Mon Apr 28 2025
 *
 * Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file in the root of the project for details.
 *
 * https://github.com/DevExpress/devextreme-angular
 */
import { OnInit, OnDestroy } from '@angular/core';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoVectorMapSourceComponent extends NestedOption implements OnDestroy, OnInit {
    get grouping(): string;
    set grouping(value: string);
    get layer(): string;
    set layer(value: string);
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapSourceComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoVectorMapSourceComponent, "dxo-vector-map-source", never, { "grouping": { "alias": "grouping"; "required": false; }; "layer": { "alias": "layer"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoVectorMapSourceModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoVectorMapSourceModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoVectorMapSourceModule, [typeof DxoVectorMapSourceComponent], never, [typeof DxoVectorMapSourceComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoVectorMapSourceModule>;
}
